package doctor.controller;

import doctor.common.core.domain.HealthR;
import doctor.domain.entity.DepartmentEntity;
import doctor.service.HealthDepartmentService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/knowledgeBase/v1")
public class HealthDepartmentController {

    @Autowired
    private HealthDepartmentService healthV1Service;

    @GetMapping("/findDepartment")
    public HealthR<List<DepartmentEntity>> findDepartment(){
        List<DepartmentEntity> departmentEntities=healthV1Service.findDepartment();
        return HealthR.ok(departmentEntities);
    }
}
