package doctor.service;

import doctor.domain.entity.UserVideoBuyEntity;
import doctor.domain.entity.UserVideoCollectionEntity;
import doctor.domain.entity.UserWalletEntity;

import java.util.List;

/**
 * @ClassName : UserVideoService
 * @Description :
 * @Author : FJJ
 * @Date: 2024-01-10 14:33
 */
public interface UserVideoService {
    List<UserVideoCollectionEntity> findVideoCollectionList();

    void cancelVideoCollection(Integer id);

    List<UserVideoBuyEntity> findUserVideoBuyList();

    void deleteVideoBuy(Integer id);

    List<UserWalletEntity> findUserWallet();
}
